> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Address labels

> get labels by address



## OpenAPI

````yaml get /v1/address/labels
openapi: 3.0.2
info:
  title: 🛠️ Basic API
  version: v1.0.0
servers:
  - url: https://api.chainbase.online
    description: production server
security: []
paths:
  /v1/address/labels:
    get:
      tags:
        - Labels
      summary: Address labels
      description: get labels by address
      operationId: addressLabels
      parameters:
        - required: true
          schema:
            title: X-Api-Key
            type: string
            example: demo
          example: demo
          name: x-api-key
          in: header
        - description: >-
            chain network id, see [list of
            details](/platform/features/api/web3-api)
          required: true
          schema:
            title: Chain Id
            type: integer
            description: >-
              chain network id, see [list of
              details](/platform/features/api/web3-api)
          example: '1'
          name: chain_id
          in: query
        - description: A hex string referencing a wallet address
          required: true
          schema:
            title: Address
            pattern: ^0[xX]{1}[a-fA-F0-9]{40}$
            type: string
            description: A hex string referencing a wallet address
          name: address
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseAddressLabels'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    ResponseAddressLabels:
      title: ResponseAddressLabels
      required:
        - data
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 0
        message:
          title: Message
          type: string
          default: ok
        data:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/TagEntry'
          example:
            address:
              - category: social
              - tags:
                  - a
    ErrorMessage:
      title: ErrorMessage
      required:
        - code
        - message
      type: object
      properties:
        code:
          title: Code
          type: integer
        message:
          title: Message
          type: string
    TagEntry:
      title: AddressLabels
      type: object
      properties:
        category:
          type: string
        tags:
          type: array
          items:
            type: string

````